package com.qmth.jkserver.service;

import com.qmth.jkserver.dto.ExamStudenDetailDto;
import com.qmth.jkserver.dto.ExamStudentCountDto;

import java.util.List;
import java.util.Map;

import org.springframework.data.domain.Page;

public interface ExamKwHZService {
	
	public Page<ExamStudentCountDto> statisticKwHZDetails(String examCode, String batchId, String placeCode, String placeName,
			String roomCode, Integer pageNo, Integer pageSize);
	public Map<String, Long> statisticKwHZ(String examCode, String batchId, String placeCode, String placeName,
			String roomCode);
	
	public Page<ExamStudenDetailDto> queryKwHZDetails(String examCode, String batchId, String placeCode,
			String placeName, String roomCode, String condition, int pageNo, int pageSize);
	
	public List<ExamStudentCountDto> exportStatisticKwHZ(String examCode);
	public Map<String, List<ExamStudenDetailDto>> exportKwHzDetails(String examCode);

}
